% Mesh of a quarter-plate with a hole: 2x2 division
%
% function [fens,gcells]=holyplate2
%
function [fens,gcells]=holyplate2
  fens = [fenode(1, [0   30  0]) ...
          fenode(2, [11.4805   27.7164  0]) ...
          fenode(3, [16.0533   41.3033  0]) ...
          fenode(4, [0   43.5  0]) ...
          fenode(5, [0   30  15]) ...
          fenode(6, [11.4805   27.7164  15]) ...
          fenode(7, [16.0533   41.3033  15]) ...
          fenode(8, [0   43.5  15]) ...
          fenode(9, [21.2132   21.2132  0]) ...
          fenode(10, [32.1066   39.1066  0]) ...
          fenode(11, [21.2132   21.2132  15]) ...
          fenode(12, [32.1066   39.1066  15]) ...
          fenode(13, [21.5   57  0]) ...
          fenode(14, [0   57  0]) ...
          fenode(15, [21.5   57  15]) ...
          fenode(16, [0   57  15]) ...
          fenode(17, [43   57  0]) ...
          fenode(18, [43   57  15]) ...
          fenode(19, [30   0  0]) ...
          fenode(20, [36.5   0  0]) ...
          fenode(21, [34.3033   19.5533  0]) ...
          fenode(22, [27.7164   11.4805  0]) ...
          fenode(23, [30   0  15]) ...
          fenode(24, [36.5   0  15]) ...
          fenode(25, [34.3033   19.5533  15]) ...
          fenode(26, [27.7164   11.4805  15]) ...
          fenode(27, [43   0  0]) ...
          fenode(28, [43   28.5  0]) ...
          fenode(29, [43   0  15]) ...
          fenode(30, [43   28.5  15])];
  gcells = [gcell_h8(1, [1 2 3 4 5 6 7 8]) ...
            gcell_h8(2, [2 9 10 3 6 11 12 7]) ...
            gcell_h8(3, [4 3 13 14 8 7 15 16]) ...
            gcell_h8(4, [3 10 17 13 7 12 18 15]) ...
            gcell_h8(5, [19 20 21 22 23 24 25 26]) ...
            gcell_h8(6, [20 27 28 21 24 29 30 25]) ...
            gcell_h8(7, [22 21 10 9 26 25 12 11]) ...
            gcell_h8(8, [21 28 17 10 25 30 18 12])];
  
